using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.ExchangeRouter.ContractDefinition
{
    public partial class CreateShiftParams : CreateShiftParamsBase
    {
    }

    public class CreateShiftParamsBase
    {
        [Parameter("address", "receiver", 1)] public virtual string Receiver { get; set; }

        [Parameter("address", "callbackContract", 2)]
        public virtual string CallbackContract { get; set; }

        [Parameter("address", "uiFeeReceiver", 3)]
        public virtual string UiFeeReceiver { get; set; }

        [Parameter("address", "fromMarket", 4)]
        public virtual string FromMarket { get; set; }

        [Parameter("address", "toMarket", 5)] public virtual string ToMarket { get; set; }

        [Parameter("uint256", "minMarketTokens", 6)]
        public virtual BigInteger MinMarketTokens { get; set; }

        [Parameter("uint256", "executionFee", 7)]
        public virtual BigInteger ExecutionFee { get; set; }

        [Parameter("uint256", "callbackGasLimit", 8)]
        public virtual BigInteger CallbackGasLimit { get; set; }
    }
}